package main

import (
	"os"

	"git.gensokyo.uk/security/fortify/internal/fmsg"
)

func main() {
	fmsg.SetPrefix("launch")

	if len(os.Args) < 2 {
		fmsg.Fatal("invalid arguments")
	}

	switch os.Args[1] {
	case "activate":
		actionActivate()
	case "start":
		actionStart()
	default:
		fmsg.Fatal("invalid arguments")
	}

	fmsg.Exit(0)
}
